Bug 1303341 - [DOCS] [3.2] Document the project request limit plugin
[DOCS] [3.2] Document the project request limit plugin
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Ashley Hardin
weiwei jiang
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 01:01 EST by Vikram Goyal
Modified: 2017-03-08 13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 17:16:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-01-31 01:01:41 EST
The Project Request Plugin allows the administrator to restrict the number of projects a user can create and hence, the amount of resources they are allowed to consume.

As part of this story, please investigate if:

a) this plugin applies to OSE 3.2 and Dedicated branches.
b) if a) is true:

-- write a user story on why someone might need to use this feature.
-- document the usage of the plugin and its various configurations and how the admin might use it.

Dev for this feature is:
Cesar Wong

Trello card is:
https://trello.com/c/GsCfvXWA/484-13-automatically-apply-resource-quota-to-users

QA for this feature is:
Weiwei Jiang

Likely Guide:
https://docs.openshift.com/enterprise/3.1/admin_guide/selfprovisioned_projects.html and
https://docs.openshift.com/enterprise/3.1/install_config/index.html

The following pull request provides the existing upstream content: https://github.com/openshift/openshift-docs/pull/1476
Comment 1 Ashley Hardin 2016-03-14 13:31:58 EDT
Work in progress:
https://github.com/openshift/openshift-docs/pull/1738
Comment 2 weiwei jiang 2016-03-18 01:45:09 EDT
Checked and found no issues.
Comment 3 openshift-github-bot 2016-03-18 09:45:31 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/2c6ba45553b0224bfa62115d0408d866f7775056
Bug 1303341, project request limit plugin

https://github.com/openshift/openshift-docs/commit/d92346f39c6006301c11dac6d3d391960b3cc763
Merge pull request #1738 from ahardin-rh/limit-plugin

Bug 1303341, edited project request limit plugin information

Note You need to log in before you can comment on or make changes to this bug.